Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-db/mysql: ChangeLog mysql-5.0.72-r1.ebuild mysql-5.0.70-r1.ebuild
Date: Sat, 29 Nov 2008 12:04:01
Message-Id: E1L6OYJ-0003Xa-AG@stork.gentoo.org
1 robbat2 08/11/29 12:03:59
2
3 Modified: ChangeLog
4 Added: mysql-5.0.72-r1.ebuild mysql-5.0.70-r1.ebuild
5 Log:
6 Bump to add security fixes for bug #240407 (MySQL #27884), #229329 (MySQL #16470).
7 (Portage version: 2.2_rc16/cvs/Linux 2.6.28-rc5-00117-g7f0f598 x86_64)
8
9 Revision Changes Path
10 1.475 dev-db/mysql/ChangeLog
11
12 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.475&view=markup
13 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?rev=1.475&content-type=text/plain
14 diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/ChangeLog?r1=1.474&r2=1.475
15
16 Index: ChangeLog
17 ===================================================================
18 RCS file: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v
19 retrieving revision 1.474
20 retrieving revision 1.475
21 diff -p -w -b -B -u -u -r1.474 -r1.475
22 --- ChangeLog 29 Nov 2008 04:41:37 -0000 1.474
23 +++ ChangeLog 29 Nov 2008 12:03:59 -0000 1.475
24 @@ -1,6 +1,14 @@
25 # ChangeLog for dev-db/mysql
26 # Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
27 -# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.474 2008/11/29 04:41:37 robbat2 Exp $
28 +# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.475 2008/11/29 12:03:59 robbat2 Exp $
29 +
30 +*mysql-5.0.72-r1 (29 Nov 2008)
31 +*mysql-5.0.70-r1 (29 Nov 2008)
32 +
33 + 29 Nov 2008; Robin H. Johnson <robbat2@g.o>
34 + +mysql-5.0.70-r1.ebuild, +mysql-5.0.72-r1.ebuild:
35 + Bump to add security fixes for bug #240407 (MySQL #27884), #229329 (MySQL
36 + #16470).
37
38 *mysql-5.0.72 (29 Nov 2008)
39
40
41
42
43 1.1 dev-db/mysql/mysql-5.0.72-r1.ebuild
44
45 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.72-r1.ebuild?rev=1.1&view=markup
46 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.72-r1.ebuild?rev=1.1&content-type=text/plain
47
48 Index: mysql-5.0.72-r1.ebuild
49 ===================================================================
50 # Copyright 1999-2008 Gentoo Foundation
51 # Distributed under the terms of the GNU General Public License v2
52 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.72-r1.ebuild,v 1.1 2008/11/29 12:03:59 robbat2 Exp $
53
54 MY_EXTRAS_VER="20081129-1041Z"
55 SERVER_URI="http://mirror.provenscaling.com/mysql/enterprise/source/5.0/${P}.tar.gz"
56
57 inherit toolchain-funcs mysql
58 # only to make repoman happy. it is really set in the eclass
59 IUSE="$IUSE"
60
61 # REMEMBER: also update eclass/mysql*.eclass before committing!
62 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
63
64 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
65 EPATCH_EXCLUDE=''
66
67 # Please do not add a naive src_unpack to this ebuild
68 # If you want to add a single patch, copy the ebuild to an overlay
69 # and create your own mysql-extras tarball, looking at 000_index.txt
70
71 src_test() {
72 # Bug #213475 - MySQL _will_ object strenously if your machine is named
73 # localhost. Also causes weird failures.
74 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
75
76 emake check || die "make check failed"
77 if ! use "minimal" ; then
78 if [[ $UID -eq 0 ]]; then
79 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
80 fi
81 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
82 cd "${S}"
83 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
84 local retstatus1
85 local retstatus2
86 local t
87 addpredict /this-dir-does-not-exist/t9.MYI
88
89 # Ensure that parallel runs don't die
90 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
91
92 # archive_gis really sucks a lot, but it's only relevant for the
93 # USE=extraengines case
94 case ${PV} in
95 5.0.42)
96 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
97 ;;
98
99 5.0.4[3-9]|5.0.[56]*|5.0.70)
100 [ "$(tc-endian)" == "big" ] && \
101 mysql_disable_test \
102 "archive_gis" \
103 "Broken in 5.0.43-70 on big-endian boxes only"
104 ;;
105 esac
106
107 # This was a slight testcase breakage when the read_only security issue
108 # was fixed.
109 case ${PV} in
110 5.0.54|5.0.51*)
111 mysql_disable_test \
112 "read_only" \
113 "Broken in 5.0.51-54, output in wrong order"
114 ;;
115 esac
116
117 # Ditto to read_only
118 [ "${PV}" == "5.0.51a" ] && \
119 mysql_disable_test \
120 "view" \
121 "Broken in 5.0.51, output in wrong order"
122
123 # x86-specific, OOM issue with some subselects on low memory servers
124 [ "${PV}" == "5.0.54" ] && \
125 [ "${ARCH/x86}" != "${ARCH}" ] && \
126 mysql_disable_test \
127 "subselect" \
128 "Testcase needs tuning on x86 for oom condition"
129
130 # Broke with the YaSSL security issue that didn't affect Gentoo.
131 [ "${PV}" == "5.0.56" ] && \
132 for t in openssl_1 rpl_openssl rpl_ssl ssl \
133 ssl_8k_key ssl_compress ssl_connect ; do \
134 mysql_disable_test \
135 "$t" \
136 "OpenSSL tests broken on 5.0.56"
137 done
138
139 # New test was broken in first time
140 # Upstream bug 41066
141 # http://bugs.mysql.com/bug.php?id=41066
142 [ "${PV}" == "5.0.72" ] && \
143 mysql_disable_test \
144 "status2" \
145 "Broken in 5.0.72, new test is broken, upstream bug #41066"
146
147 # create directories because mysqladmin might right out of order
148 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
149
150 # We run the test protocols seperately
151 make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
152 retstatus1=$?
153 [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
154 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
155
156 make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
157 retstatus2=$?
158 [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
159 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
160
161 # Cleanup is important for these testcases.
162 pkill -9 -f "${S}/ndb" 2>/dev/null
163 pkill -9 -f "${S}/sql" 2>/dev/null
164 failures=""
165 [[ $retstatus1 -eq 0 ]] || failures="test-ns"
166 [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
167 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
168 [[ -z "$failures" ]] || die "Test failures: $failures"
169 einfo "Tests successfully completed"
170 else
171 einfo "Skipping server tests due to minimal build."
172 fi
173 }
174
175
176
177 1.1 dev-db/mysql/mysql-5.0.70-r1.ebuild
178
179 file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.70-r1.ebuild?rev=1.1&view=markup
180 plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-db/mysql/mysql-5.0.70-r1.ebuild?rev=1.1&content-type=text/plain
181
182 Index: mysql-5.0.70-r1.ebuild
183 ===================================================================
184 # Copyright 1999-2008 Gentoo Foundation
185 # Distributed under the terms of the GNU General Public License v2
186 # $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.70-r1.ebuild,v 1.1 2008/11/29 12:03:59 robbat2 Exp $
187
188 MY_EXTRAS_VER="20081129-1041Z"
189 SERVER_URI="http://mirror.provenscaling.com/mysql/enterprise/source/5.0/${P}.tar.gz"
190
191 inherit toolchain-funcs mysql
192 # only to make repoman happy. it is really set in the eclass
193 IUSE="$IUSE"
194
195 # REMEMBER: also update eclass/mysql*.eclass before committing!
196 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
197
198 # When MY_EXTRAS is bumped, the index should be revised to exclude these.
199 EPATCH_EXCLUDE=''
200
201 # Please do not add a naive src_unpack to this ebuild
202 # If you want to add a single patch, copy the ebuild to an overlay
203 # and create your own mysql-extras tarball, looking at 000_index.txt
204
205 src_test() {
206 # Bug #213475 - MySQL _will_ object strenously if your machine is named
207 # localhost. Also causes weird failures.
208 [[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
209
210 emake check || die "make check failed"
211 if ! use "minimal" ; then
212 if [[ $UID -eq 0 ]]; then
213 die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
214 fi
215 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
216 cd "${S}"
217 einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
218 local retstatus1
219 local retstatus2
220 local t
221 addpredict /this-dir-does-not-exist/t9.MYI
222
223 # Ensure that parallel runs don't die
224 export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
225
226 # archive_gis really sucks a lot, but it's only relevant for the
227 # USE=extraengines case
228 case ${PV} in
229 5.0.42)
230 mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
231 ;;
232
233 5.0.4[3-9]|5.0.[56]*|5.0.70)
234 [ "$(tc-endian)" == "big" ] && \
235 mysql_disable_test \
236 "archive_gis" \
237 "Broken in 5.0.43-70 on big-endian boxes only"
238 ;;
239 esac
240
241 # This was a slight testcase breakage when the read_only security issue
242 # was fixed.
243 case ${PV} in
244 5.0.54|5.0.51*)
245 mysql_disable_test \
246 "read_only" \
247 "Broken in 5.0.51-54, output in wrong order"
248 ;;
249 esac
250
251 # Ditto to read_only
252 [ "${PV}" == "5.0.51a" ] && \
253 mysql_disable_test \
254 "view" \
255 "Broken in 5.0.51, output in wrong order"
256
257 # x86-specific, OOM issue with some subselects on low memory servers
258 [ "${PV}" == "5.0.54" ] && \
259 [ "${ARCH/x86}" != "${ARCH}" ] && \
260 mysql_disable_test \
261 "subselect" \
262 "Testcase needs tuning on x86 for oom condition"
263
264 # Broke with the YaSSL security issue that didn't affect Gentoo.
265 [ "${PV}" == "5.0.56" ] && \
266 for t in openssl_1 rpl_openssl rpl_ssl ssl \
267 ssl_8k_key ssl_compress ssl_connect ; do \
268 mysql_disable_test \
269 "$t" \
270 "OpenSSL tests broken on 5.0.56"
271 done
272
273 # create directories because mysqladmin might right out of order
274 mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
275
276 # We run the test protocols seperately
277 make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
278 retstatus1=$?
279 [[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
280 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
281
282 make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
283 retstatus2=$?
284 [[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
285 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
286
287 # Cleanup is important for these testcases.
288 pkill -9 -f "${S}/ndb" 2>/dev/null
289 pkill -9 -f "${S}/sql" 2>/dev/null
290 failures=""
291 [[ $retstatus1 -eq 0 ]] || failures="test-ns"
292 [[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
293 has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
294 [[ -z "$failures" ]] || die "Test failures: $failures"
295 einfo "Tests successfully completed"
296 else
297 einfo "Skipping server tests due to minimal build."
298 fi
299 }